Skip to main content

Get Checkpoint

Get total transaction count by querying the latest checkpoint with LedgerService/GetCheckpoint. Returns network_total_transactions field.

Service​

sui.rpc.v2.LedgerService

Parity​

Composite

This method is part of a composite mapping for sui_getTotalTransactionBlocks.

Request​

Parameters​

{
"read_mask": {
"paths": [
"summary"
]
}
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"read_mask":{"paths":["summary"]}}' \
grpc.surflux.dev:443 \
sui.rpc.v2.LedgerService/GetCheckpoint
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/ledger_service.proto definition.

Response Fields​

FieldTypeDescription
checkpointCheckpointSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.